List cities

GET

GET https://external-api.lia.com.br/external_api/v1/cities

Query params

NameDescriptionRequiredType
state_idState’s IDfalseString

Example request

curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/cities?state_id=4a99a5dc-a441-43ab-b014-2478e6fa2fb1' \
--header 'Authorization: Bearer YOUR_API_TOKEN'

Example response

[
    {
        "ibge_code": "1200013",
        "id": "aa40c63c-b702-466f-ad8d-49bccb2cffc8",
        "name": "Acrelândia",
        "state": {
            "acronym": "AC",
            "id": "4a99a5dc-a441-43ab-b014-2478e6fa2fb1",
            "name": "Acre"
        },
        "state_id": "4a99a5dc-a441-43ab-b014-2478e6fa2fb1"
    },
    {
        "ibge_code": "1200401",
        "id": "3ee00ae6-e99d-4a24-bc24-bcd076c11eb5",
        "name": "Rio Branco",
        "state": {
            "acronym": "AC",
            "id": "4a99a5dc-a441-43ab-b014-2478e6fa2fb1",
            "name": "Acre"
        },
        "state_id": "4a99a5dc-a441-43ab-b014-2478e6fa2fb1"
    }
]